From af2f81aa942b50ed44b6437cdaad4e9e12e988f5 Mon Sep 17 00:00:00 2001
From: Zhipeng Zhao <near2see@163.com>
Date: Fri, 27 Mar 2020 11:38:43 +0800
Subject: [PATCH] ole32: Add parameter check for clipbrd_wndproc

When I use wechat-work to do some clip, there raise a exception. (Bug 48826)

Signed-off-by: Zhipeng Zhao <near2see@163.com>
---
 dlls/ole32/clipboard.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/dlls/ole32/clipboard.c b/dlls/ole32/clipboard.c
index 9df37750a3..69a8fc61b2 100644
--- a/dlls/ole32/clipboard.c
+++ b/dlls/ole32/clipboard.c
@@ -2066,6 +2066,11 @@ static LRESULT CALLBACK clipbrd_wndproc(HWND hwnd, UINT message, WPARAM wparam,
         ole_priv_data_entry *entry;
 
         TRACE("(): WM_RENDERFORMAT(cfFormat=%x)\n", cf);
+        if (!clipbrd || !clipbrd->cached_enum)
+        {
+            entry = NULL;
+            break;
+        } 
         entry = find_format_in_list(clipbrd->cached_enum->entries, clipbrd->cached_enum->count, cf);
 
         if(entry)
-- 
2.24.1.windows.2

